Bug 8224 - aqplan.pl and aqbudgets: authorized values doesn't appear in planning list
Summary: aqplan.pl and aqbudgets: authorized values doesn't appear in planning list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Alex Arnaud
QA Contact:
URL:
Keywords:
Depends on: 4857
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 08:55 UTC by Alex Arnaud
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8224 - Make authorized values appear in planning list (1.85 KB, patch)
2012-06-11 08:59 UTC, Alex Arnaud
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8224 - Make authorized values appear in planning list (2.18 KB, patch)
2012-06-17 05:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2012-06-11 08:55:36 UTC
When going to cgi-bin/koha/admin/aqbudgets.pl?budget_period_id=1, authorized values defined for each funds doesn't appear in the planning list.

Also, from here, if i click on "plan by (months|libraries|item types)", authorized values now appear but 'budget_period_id' is not defined in the url. Then planning by an authorized value make they all disappear again.

This bug is a continuation of bug 4857.
Comment 1 Alex Arnaud 2012-06-11 08:59:48 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-06-17 05:50:57 UTC
Created attachment 10325 [details] [review]
[SIGNED-OFF] Bug 8224 - Make authorized values appear in planning list

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I can confirm the bugs on current master and this patch fixes both problems.

- Pull down list for "Planning" on the budget page was not showing
  categories of authorized values
- Planning page showed the categories, but budget_period_id was
  missing from the URL
Comment 3 Ian Walls 2012-06-20 18:53:28 UTC
Removes conditional check for "authcat" in order to display auth values list.  Template only change, handles indentation, marking Passed QA.
Comment 4 Chris Cormack 2012-06-25 22:00:33 UTC
Bugfix, pushed to 3.8.x, will be in 3.8.3